Bug 591314 - SELinux is preventing setsebool "sys_admin" access .
SELinux is preventing setsebool "sys_admin" access .
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:d4c2b90f077...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 16:53 EDT by storri
Modified: 2010-08-19 07:31 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 07:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description storri 2010-05-11 16:53:37 EDT
Summary:

SELinux is preventing setsebool "sys_admin" access .

Detailed Description:

SELinux denied access requested by setsebool. It is not expected that this
access is required by setsebool and this access may signal an intrusion attempt.
It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:setsebool_t:s0-s0:c0.c10
                              23
Target Context                unconfined_u:unconfined_r:setsebool_t:s0-s0:c0.c10
                              23
Target Objects                None [ capability ]
Source                        setsebool
Source Path                   setsebool
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-113.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.11-99.fc12.x86_64 #1 SMP
                              Mon Apr 5 19:59:38 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Tue 11 May 2010 04:40:52 PM EDT
Last Seen                     Tue 11 May 2010 04:40:52 PM EDT
Local ID                      fd67518b-e8b0-449d-82c1-b405a701bd60
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1273610452.674:24): avc:  denied  { sys_admin } for  pid=2447 comm="setsebool" capability=21  scontext=unconfined_u:unconfined_r:setsebool_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:setsebool_t:s0-s0:c0.c1023 tclass=capability



Hash String generated from  catchall,setsebool,setsebool_t,setsebool_t,capability,sys_admin
audit2allow suggests:

#============= setsebool_t ==============
allow setsebool_t self:capability sys_admin;
Comment 1 Daniel Walsh 2010-05-11 17:21:52 EDT
What were you doing when this happened?
Comment 2 storri 2010-05-12 01:29:34 EDT
The system had started up after being suspended.
Comment 3 Daniel Walsh 2010-05-12 09:05:43 EDT
I have no idea why this access would be requested by setsebool.  Any idea where the setsebool command is being called?  Are you running nis/ypbind?
Comment 4 Stephen Smalley 2010-05-12 09:34:47 EDT
If it can be reproduced, enable syscall audit first and reproduce it.
Comment 5 Daniel Walsh 2010-05-12 09:42:24 EDT
stori,

You can do this by executing

# auditctl -w /etc/shadow -p w 
Put the machine to sleep and then wake it up.  If the AVC happens again. gather all of the avc data and paste it in here.

ausearch -m avc -ts recent

Will collect recent avc messages.
Comment 6 storri 2010-05-12 18:54:33 EDT
I followed Daniel's instructions. I did the following

1. Typed 'auditctl -w /etc/shadow -p w' as root
2. Closed the lid to the laptop
3. Waited until it was fully asleep then I opened the lid
4. Typed 'ausearch -m avc -ts recent' but no matches were reported.

So I cannot reproduce this at least for now. Sorry.

Note You need to log in before you can comment on or make changes to this bug.